html {
  position: relative;
  min-height: 100%;
}

svg .highcharts-title tspan {
	font-size: 16px;
}

svg text[text-anchor='end'] > tspan {
	font-size: 8px;
}

svg .highcharts-data-labels tspan {
	font-size: 12px;
}

#content.small {
	min-height: 50px;
}

div#lookup_form {
	margin-top: 90px;
	margin-bottom: 90px;
	text-align: center;
}

div#lookup_form.restop {
	margin: 0px;
	margin-bottom: -30px;
}

img.flag {
	box-shadow: 0px 0px 2px #777;
}

div.addthis_toolbox {
	margin: auto;
	margin-top: 15px;
	max-width: 400px;
}

table.downloads td {
	padding: 5px;
	text-align: center;
}

table.downloads img.check {
	height: 32px;
}

table.downloads td:first-child {
	text-align: left;
}

table.downloads tr:last-child td {
	white-space:nowrap;
}

p.footnotes {
	font-size: 10px;
}

pre {
	font-family: Consolas, terminal;
	font-size: 1em;
	background-color: #def;
}

pre.err {
	background-color: #fdd;
}

div#content ol, div#content ul {
	margin: 15px;
	margin-left: 25px;
}

@media all and (max-width: 600px) {
	div#content {
		margin-top: 0px;
	}
	div#lookup_form.restop {
		display: none;
	}
}

div.api_plan {
	float: left;
	font-size: 1.5em;
	width: 240px;
	text-align: center;
	padding: 10px;
	margin: 10px;
	box-shadow: 0px 0px 16px #eee;
	background-color: #eee;
	color: #000;
	text-shadow: 1px 1px 1px #fff;
}

div.api_plan > div.key_duration {
	font-size: 1em;
	color: #000;
	font-weight: bold;
	padding-bottom: 5px;
}

div.api_plan > div.key_duration > span.number {
	font-size: 1em;
	font-weight: bold;
}

div.api_plan > div.key_monthly {
	padding-bottom: 15px;
}

div.api_plan > div.key_monthly > span.number {
	font-size: 1em;
	font-weight: bold;
}

div.half_container {
	max-width: 892px;
	margin: auto;
	clear: both;
}

div.half_box {
	float: left;
	max-width: 406px;
	margin: 10px;
	padding: 10px;
	background-color: #ddd;
	box-shadow: 5px 5px 5px #ccc;
}

ul.addr_list {
	margin: 0;
	padding: 0;
}

ul.addr_list > li {
	display: inline-block;
	width: 10em;
	padding: 0.5em;
}

.bg-home-dark {
	background-image: url("/img/home-bg-dark.png");
	background-attachment: fixed;
}

ul.nav.affix {
	top: 60px;
}

.nav li .nav {
	transition-duration: 0.3s;
	height: 0px;
	padding-left: 1em;
	font-size: 0.9em;
	overflow: hidden;
}

.nav li.active .nav {
	height: auto;
	overflow: hidden;
}

.tooltip-inner {
	font-size: 1em;
}

.popover-content {
	font-size: 0.9em;
}

#osm_embed {
	height: 18rem;
}

#osm_embed a {
	font-size: 0.9em;
}

.sticky-top { 
	top: 105px;
}

.api_choice.highlight {
	transform: scale(1.05, 1.05);
}
.badge-expired {
	display: inline-block;
	padding: .25em .4em;
	font-size: 85%;
	font-weight: 700;
	line-height: 1;
	color: #fff;
	text-align: center;
	white-space: nowrap;
	vertical-align: baseline;
	border-radius: .25rem;
	background-color: #d9534f;
}
#tab_downloads > table th {
	border-top: none;
}
.tab-content {
	display: none;
}
.tab-content:first-of-type {
	display: block;
}

#tab_sub table tr:first-child > * {
	border-top: none;
}

.pagination li {
	display: inline-block;
}

#tab_notifications div.toggle {
	float: right;
}

#tab_cors div.toggle {
	float: right;
}

.toggle-handle {
	background: #e9ecef;
}

nav.fixed-top {
	opacity: 0.96;
}

.bg-black {
	background: #000;
}

.table-norowsep td, .table-norowsep th {
	border: none;
}

.table-norowsep th {
	white-space: nowrap;
}

.table-norowsep {
	margin-bottom: 0;
}

table.tcol-33 th {
	width: 33.3%;
}

dl.l2 {
	padding-left: 2rem;
}
ul.feat-list {
	list-style:none; 
	padding-left:0;
}
.btn {
	cursor: pointer;
}	

#as-map {
	height: 30rem;
}

.reveal-hover {
	color: transparent;
	text-shadow: 0 0 6px #000;
	transition: 200ms ease 100ms;
}

.reveal-hover:hover {
	color: inherit;
	text-shadow: none;
}

a.no-highlight {
	color: inherit !important;
	text-decoration: none;
	cursor: default;
}

a.no-highlight:hover {
	text-decoration: none;
}

.customer-list img {
	max-width: 100%; 
	max-height: 50px;
	opacity: 0.8;
}

table .border-right {
	border-right: solid 1px #ddd !important;
}

.convert-currency {
	display: none;
}

.convert-currency.converted {
	display: inherit;
}
.break-hide {
	word-break: break-word; 
	overflow: hidden;
}

.StripeElement {
	box-sizing: border-box;
	box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
	width: 100%;
	border-radius: 5px;
	padding: 10px 20px;
	margin: 15px 0;
	border: none;
	-webkit-appearance: none;
	overflow: visible;
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
}
.StripeElement--focus {
  box-shadow: 0 1px 3px 0 #cfd7df;
}
.StripeElement--invalid {
  border-color: #fa755a;
}
.StripeElement--webkit-autofill {
  background-color: #fefde5 !important;
}

.std-text {
	font-size: 0.9rem;
	margin: 0;
	padding: 0;
}

th {
	vertical-align: middle !important;
}

.custom-control.with-border .custom-control-label::before {
	border: 1px solid #aaa;
}

select.shadow {
	width: 100%;
	border-radius: 5px;
	padding: 19px 20px;
	margin: 15px 0;
	border: none;
}

.nav-pills.payment .nav-link {
	width: 7rem !important;
	height: 6rem !important;
}

.nav-pills.payment {
    padding: 10px 0 !important;
}

.nav-pills.payment .nav-link .icon {
	height: 40px !important;
}

.input-group .btn {
	font-size: 1rem;
	padding: 0.4em;
}

#search_input {
	width: 12rem;
}

.navbar-expand-lg .navbar-nav .nav-link {
	padding: 5px 20px;
}

.bg-dark-grad {
	background: rgb(39,37,77);
	background: linear-gradient(135deg, rgba(39,37,77,1) 0%, rgba(85,55,237,1) 100%);
}

.text-grey {
	color: #ccc;
}

pre.code-sample {
    background: #fff;
    border-radius: 10px;
    margin-bottom: 30px;
    padding: 1rem;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
}

.nav-tabs {
    justify-content: left !important;
}

.container .nav-tabs .nav-item .nav-link {
	margin-bottom: 0;
	border: 1px solid #dee2e6;
	border-bottom: none;
}

.container .nav .nav-item .nav-link:hover {
    background: #aaa;
    color: white;
    border: 1px solid #aaa;
}

.code {
	padding: 1rem !important;
}

.code pre {
	margin: 0;
}

body.home #particles-js {
	position: relative;
}

.our-customers .img-fluid {
	border-radius: 15px;
	margin-top: 1rem;
	margin-bottom: 1rem;
}

.demo-examples .btn-sm {
	font-weight: 500;
	border-radius: 0.5rem;
}

#demo-form input {
	outline: none;
}
